// CSS for Journal entries

.journal-sheet {
}

article.journal-entry-page,
.editor {
    background: white;
    box-sizing: content-box;
    border-width: 3px;
    border-style: inset;
    border-image: linear-gradient(to right, rgb(173 30 30 / 82%), rgb(173 30 30 / 82%));
    border-image-slice: 1;
    padding: 5px;
    margin-left: 115px;
    margin-right: 15px;
    margin: 20px;

    // keep the table entries compact and not bloated
    section > table > tbody > tr > td > p {
        padding: 0.1em 0;
        margin: 0.1em 0;
    }

    section.journal-page-content,
    .editor-content {
        // 	background: url(ui/textured_paper.png) repeat;
        margin: 20px;

        img {
            border: 1px groove;
        }
        h1 {
            border-bottom: 3px double black;
            color: rgb(204, 3, 3);
        }
        h2 {
            border-bottom: 3px double black;
            color: rgb(146, 3, 3);
        }
        h3 {
            color: rgb(7, 118, 245);
            // color: rgb(138, 7, 245);
            // float: left;
            // margin-right: 15px;
        }
        h4 {
            color: rgb(7, 118, 245);
            // color: rgb(104, 1, 145);
            // float: left;
            // margin-right: 15px;
        }

        // img {
        //     border-bottom: none;
        //     border-top: none;
        // }
        // for image/text side by side
        // .journal-page-content {
        .container-sidebar-image {
            img {
                border: none;
            }
            display: flex;

            .image-sidebar-left {
                // width: 100px; /* Adjust the width as needed */
                // height: auto;
                margin-right: 5px; /* Space between text and image */
            }

            .image-sidebar-right {
                // width: 100px; /* Adjust the width as needed */
                // height: auto;
                margin-left: 5px; /* Space between text and image */
            }

            .text-block-right,
            .text-block-left {
                margin-left: 5px; /* Space between image and text */
            }
            .block-right,
            .block-left {
                margin-left: 5px; /* Space between image and text */
            }
        }

        .container-center-image {
            display: flex; /* Enables flexbox layout */
            align-items: center; /* Vertically centers the flex items */
            justify-content: space-between; /* Positions items at the start, center, and end */
            .text {
                padding: 10px; /* Adds some space around the text */
            }

            .image img {
                border: none;
                width: 100px; /* Adjust the width as needed */
                height: auto; /* Keeps the image aspect ratio */
            }
        }
        //change background to none and underline/highlight link
        .content-link,
        .inline-roll,
        .loadscene-link {
            // background-color: var(--ars_navy);
            background-color: transparent;
            border: none;
            text-decoration: underline;
            text-decoration-style: dotted;
            text-decoration-color: var(--ars_navy);
        }

        // change content and inline roll to color
        a.content-link i,
        a.inline-roll i,
        a.loadscene-link i {
            color: var(--ars_cyan);
        }

        // }
        // end image/text side by side
    }
}
